package com.ruoyi.system.domain.communityNews;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社区资讯点赞对象 comment_likes
 * 
 * @author boman
 * @date 2025-02-25
 */
public class CommentLikes extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点赞ID */
    private Long likesId;
    /** 社区资讯ID */
    @Excel(name = "社区资讯ID")
    private Long communityId;

    /** 点赞目标id */
    @Excel(name = "点赞目标id")
    private Long targetId;

    /** 点赞目标类型（1：资讯 2：回复） */
    @Excel(name = "点赞目标类型", readConverterExp = "1=：资讯,2=：回复")
    private String targetType;
    /**
     * 目标标题
     */
    private String targetTitle;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 逻辑删除(Y:已删除，N:未删除) */
    private String delFlag;

    public Long getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Long communityId) {
        this.communityId = communityId;
    }

    public String getTargetTitle() {
        return targetTitle;
    }

    public void setTargetTitle(String targetTitle) {
        this.targetTitle = targetTitle;
    }

    public void setLikesId(Long likesId)
    {
        this.likesId = likesId;
    }

    public Long getLikesId() 
    {
        return likesId;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return "CommentLikes{" +
                "likesId=" + likesId +
                ", communityId=" + communityId +
                ", targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", targetTitle='" + targetTitle + '\'' +
                ", userId=" + userId +
                ", nickName='" + nickName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
